Summary: Linux kernel configuration utility
Name: knl
Version: 1.0.2
Release: 3
Copyright: GPL v2
Group: Utilities/System
Source: http://www.memalpha.cx/Linux/knl-1.0.2.tar.gz

%changelog

* Wed May 31 2000 Riley Williams <rhw@MemAlpha.cx>:
- Actually include file COPYING.
- Correct stupid typo in help message.
- Released as knl-1.0.2-2.src.rpm
- Re-released as knl-1.0.2-3.src.rpm after faulty upload.

* Thu May 18 2000 Riley Williams <rhw@MemAlpha.cx>:
- Added runtime detection of big-endian or little-endian environment.
- Updated documentation to include latest options.
- Released as knl-1.0.2-1.src.rpm

* Wed Apr 05 2000 Gilles Courcoux <Gilles.Courcoux@col.bsf.alcatel.fr>:
- Fixed printing of root and swap device.
- Fixed setting of ramdisk prompt option.
- Fixed decoding of floppy device name.
- Added cross-environment support for Sparc/Solaris.

* Mon May 11 1998 Riley Williams <rhw@MemAlpha.cx>:
- Added ability to specify an NFS root mount.
- Added ability to specify an arbitrary block device for root.
- Released as knl-1.0.1-1.src.rpm

* Sat May 02 1998 Riley Williams <rhw@MemAlpha.cx>:
- Initial release as knl-1.0.0-1.src.rpm

%description

This program combines the functions of the rdev, swapdev, ramsize, vidmode
and rootflags programs, allowing one to set all of the options relating to
the kernel image with a single command, or to get an overall view of the
current option settings on a given kernel image.

Note that it was not possible to make this a drop-in replacement for the
existing programs due to the inconsistant syntax thereof.

%prep
%setup

%build
make all

%install
make install

%files
/usr/man/man8/knl.8
/usr/sbin/knl
